MagickCore: magick.h File Reference

# magick.h File Reference

Go to the source code of this file.

## Data Structures
struct | _MagickInfo
## Typedefs
typedef Image * | DecodeImageHandler (const ImageInfo *, ExceptionInfo *)
typedef MagickBooleanType | EncodeImageHandler (const ImageInfo *, Image *)
typedef MagickBooleanType | IsImageFormatHandler (const unsigned char *, const size_t)
typedef struct _MagickInfo | MagickInfo
## Enumerations
enum | MagickThreadSupport { NoThreadSupport = 0x0000, DecoderThreadSupport = 0x0001, EncoderThreadSupport = 0x0002 }
## Functions
MagickExport char ** | GetMagickList (const char *, unsigned long *, ExceptionInfo *)
MagickExport const char * | GetImageMagick (const unsigned char *, const size_t)
MagickExport const char ** | GetMagickDescription (const MagickInfo *)
MagickExport DecodeImageHandler * | GetImageDecoder (const MagickInfo *)
MagickExport EncodeImageHandler * | GetImageEncoder (const MagickInfo *)
MagickExport MagickBooleanType | GetMagickAdjoin (const MagickInfo *)
MagickExport MagickBooleanType | GetMagickBlobSupport (const MagickInfo *)
MagickExport MagickBooleanType | GetMagickEndianSupport (const MagickInfo *)
MagickExport MagickBooleanType | GetMagickSeekableStream (const MagickInfo *)
MagickExport MagickBooleanType | IsMagickInstantiated (void)
MagickExport MagickBooleanType | UnregisterMagickInfo (const char *)
const MagickExport MagickInfo * | GetMagickInfo (const char *, ExceptionInfo *)
const MagickExport MagickInfo *** | GetMagickInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport MagickInfo * | RegisterMagickInfo (MagickInfo *)
MagickExport MagickInfo ** | SetMagickInfo (const char *)
MagickExport MagickStatusType | GetMagickThreadSupport (const MagickInfo *)
MagickExport void | DestroyMagickList (void)
MagickExport void | MagickCoreGenesis (const char *, const MagickBooleanType)
MagickExport void | MagickCoreTerminus (void)

## Typedef Documentation

typedef Image* DecodeImageHandler(const ImageInfo *, ExceptionInfo *)

typedef MagickBooleanType EncodeImageHandler(const ImageInfo *, Image *)

typedef MagickBooleanType IsImageFormatHandler(const unsigned char *, const size_t)

typedef struct _MagickInfo MagickInfo

## Enumeration Type Documentation

enum MagickThreadSupport

Enumerator:

  NoThreadSupport |
  DecoderThreadSupport |
  EncoderThreadSupport |

## Function Documentation

MagickExport void DestroyMagickList | ( | void |  | ) |

MagickExport DecodeImageHandler* GetImageDecoder | ( | const MagickInfo * |  | ) |

MagickExport EncodeImageHandler* GetImageEncoder | ( | const MagickInfo * |  | ) |

MagickExport const char* GetImageMagick | ( | const unsigned char * | ,
|  | const | size_t |
| ) |  |  |

MagickExport MagickBooleanType GetMagickAdjoin | ( | const MagickInfo * |  | ) |

MagickExport MagickBooleanType GetMagickBlobSupport | ( | const MagickInfo * |  | ) |

MagickExport const char* * GetMagickDescription | ( | const MagickInfo * |  | ) |

MagickExport MagickBooleanType GetMagickEndianSupport | ( | const MagickInfo * |  | ) |

const MagickExport MagickInfo* GetMagickInfo | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

const MagickExport MagickInfo* ** GetMagickInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetMagickList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType GetMagickSeekableStream | ( | const MagickInfo * |  | ) |

MagickExport MagickStatusType GetMagickThreadSupport | ( | const MagickInfo * |  | ) |

MagickExport MagickBooleanType IsMagickInstantiated | ( | void |  | ) |

MagickExport void MagickCoreGenesis | ( | const char * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport void MagickCoreTerminus | ( | void |  | ) |

MagickExport MagickInfo* RegisterMagickInfo | ( | MagickInfo * |  | ) |

MagickExport MagickInfo* * SetMagickInfo | ( | const char * |  | ) |

MagickExport MagickBooleanType UnregisterMagickInfo | ( | const char * |  | ) |